org.keycloak.adapters.undertow

## Class ServletKeycloakAuthMech

- java.lang.Object
- - org.keycloak.adapters.undertow.AbstractUndertowKeycloakAuthMech
  - - org.keycloak.adapters.undertow.ServletKeycloakAuthMech

- All Implemented Interfaces:
    io.undertow.security.api.AuthenticationMechanism
  Direct Known Subclasses:
    WildflyAuthenticationMechanism

      public class ServletKeycloakAuthMech
      extends AbstractUndertowKeycloakAuthMech

  Version:
    $Revision: 1 $
  Author:
    Bill Burke, Stan Silvert ssilvert@redhat.com (C) 2014 Red Hat Inc.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.undertow.security.api.AuthenticationMechanism

      `io.undertow.security.api.AuthenticationMechanism.AuthenticationMechanismOutcome, io.undertow.security.api.AuthenticationMechanism.ChallengeResult`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected NodesRegistrationManagement` | `nodesRegistrationManagement`
    `protected io.undertow.servlet.api.ConfidentialPortManager` | `portManager`

    - ### Fields inherited from class org.keycloak.adapters.undertow.AbstractUndertowKeycloakAuthMech

      `deploymentContext, errorPage, KEYCLOAK_CHALLENGE_ATTACHMENT_KEY, sessionManagement`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletKeycloakAuthMech(AdapterDeploymentContext deploymentContext, UndertowUserSessionManagement userSessionManagement, NodesRegistrationManagement nodesRegistrationManagement, io.undertow.servlet.api.ConfidentialPortManager portManager, String errorPage)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `io.undertow.security.api.AuthenticationMechanism.AuthenticationMechanismOutcome` | `authenticate(io.undertow.server.HttpServerExchange exchange, io.undertow.security.api.SecurityContext securityContext)`
    `protected RequestAuthenticator` | `createRequestAuthenticator(KeycloakDeployment deployment, io.undertow.server.HttpServerExchange exchange, io.undertow.security.api.SecurityContext securityContext, UndertowHttpFacade facade)`
    `protected int` | `getConfidentilPort(io.undertow.server.HttpServerExchange exchange)`
    `protected AdapterTokenStore` | `getTokenStore(io.undertow.server.HttpServerExchange exchange, HttpFacade facade, KeycloakDeployment deployment, io.undertow.security.api.SecurityContext securityContext)`
    `protected Integer` | `servePage(io.undertow.server.HttpServerExchange exchange, String location)`

    - ### Methods inherited from class org.keycloak.adapters.undertow.AbstractUndertowKeycloakAuthMech

      `keycloakAuthenticate, registerNotifications, sendChallenge`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nodesRegistrationManagement

          protected NodesRegistrationManagement nodesRegistrationManagement

    - #### portManager

          protected io.undertow.servlet.api.ConfidentialPortManager portManager

  - ### Constructor Detail

    - #### ServletKeycloakAuthMech

          public ServletKeycloakAuthMech(AdapterDeploymentContext deploymentContext,
                                 UndertowUserSessionManagement userSessionManagement,
                                 NodesRegistrationManagement nodesRegistrationManagement,
                                 io.undertow.servlet.api.ConfidentialPortManager portManager,
                                 String errorPage)

  - ### Method Detail

    - #### servePage

          protected Integer servePage(io.undertow.server.HttpServerExchange exchange,
                          String location)

      Overrides:
        `servePage` in class `AbstractUndertowKeycloakAuthMech`

    - #### authenticate

          public io.undertow.security.api.AuthenticationMechanism.AuthenticationMechanismOutcome authenticate(io.undertow.server.HttpServerExchange exchange,
                                                                                                     io.undertow.security.api.SecurityContext securityContext)

    - #### createRequestAuthenticator

          protected RequestAuthenticator createRequestAuthenticator(KeycloakDeployment deployment,
                                                        io.undertow.server.HttpServerExchange exchange,
                                                        io.undertow.security.api.SecurityContext securityContext,
                                                        UndertowHttpFacade facade)

    - #### getConfidentilPort

          protected int getConfidentilPort(io.undertow.server.HttpServerExchange exchange)

    - #### getTokenStore

          protected AdapterTokenStore getTokenStore(io.undertow.server.HttpServerExchange exchange,
                                        HttpFacade facade,
                                        KeycloakDeployment deployment,
                                        io.undertow.security.api.SecurityContext securityContext)

      Overrides:
        `getTokenStore` in class `AbstractUndertowKeycloakAuthMech`

Copyright © 2015. All Rights Reserved.